Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.html.simpleparser
Class StyleSheet

    java.lang.Object
      com.lowagie.text.html.simpleparser.StyleSheet

    public class StyleSheet

extends java.lang.Object

Field Summary
`java.util.HashMap` | `classMap`
`java.util.HashMap` | `tagMap`

Constructor Summary
`StyleSheet()` Creates a new instance of StyleSheet

Method Summary
`void` | `applyStyle(java.lang.String tag, java.util.HashMap props)`
`void` | `loadStyle(java.lang.String style, java.util.HashMap props)`
`void` | `loadStyle(java.lang.String style, java.lang.String key, java.lang.String value)`
`void` | `loadTagStyle(java.lang.String tag, java.util.HashMap props)`
`void` | `loadTagStyle(java.lang.String tag, java.lang.String key, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classMap

    public java.util.HashMap classMap

### tagMap

    public java.util.HashMap tagMap

Constructor Detail

### StyleSheet

    public StyleSheet()

  Creates a new instance of StyleSheet

Method Detail

### applyStyle

    public void applyStyle(java.lang.String tag,
                           java.util.HashMap props)

### loadStyle

    public void loadStyle(java.lang.String style,
                          java.util.HashMap props)

### loadStyle

    public void loadStyle(java.lang.String style,
                          java.lang.String key,
                          java.lang.String value)

### loadTagStyle

    public void loadTagStyle(java.lang.String tag,
                             java.util.HashMap props)

### loadTagStyle

    public void loadTagStyle(java.lang.String tag,
                             java.lang.String key,
                             java.lang.String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD